Grants, vesting & distributions

Archive Document New

Sets archivedAt on an unarchived document belonging to the caller's org.

POSThttps://api.toku.com/tga/archive-document-new

Not available to API keys yet. It will need documents:write.

curl --request POST \
  --url 'https://api.toku.com/tga/archive-document-new' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "documentID": "string"
}'
200 response
{
  "supersededAt": "string",
  "documentID": "string",
  "roleInOrgID": "string",
  "investorEntityID": "string",
  "documentName": "string",
  "documentDescription": "string",
  "documentType": "WARRANT_AGREEMENT",
  "fileID": "string",
  "signedAt": "string",
  "archivedAt": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "deletedAt": "string",
  "grantID": "string",
  "warrantID": "string",
  "legacyMigratedAt": "string",
  "legacyModelID": 0,
  "visibleToRole": true,
  "visibleToClientAdmin": true,
  "file": {
    "fileID": "string",
    "orgID": "string",
    "fileName": "string",
    "mimeType": "string",
    "fileKey": "string",
    "fileBucket": "string",
    "fileUploaded": "string",
    "fileSizeInBytes": "string",
    "createdByUserID": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "legacyMigratedAt": "string",
    "legacyModelID": 0,
    "type": "string",
    "fileURL": "string",
    "fileDownloadURL": "string"
  },
  "roleInOrg": {
    "hrAutomationOnly": true,
    "isServiceSeat": true,
    "invoiceApproverRoutingUpdatedAt": "string",
    "legacyMigratedAt": "string",
    "legacyModelID": 0,
    "roleInOrgID": "string",
    "personID": "string",
    "orgID": "string",
    "invitedByInvestorID": "string",
    "invitedByRecipientID": "string",
    "roleInOrgExternalID": 0,
    "externalEmployeeID": "string",
    "positionID": "string",
    "jobTitle": "string",
    "country": "string",
    "countryCode": "ABW",
    "preferredInvoiceCurrency": "string",
    "status": "string",
    "lifecycleStatus": "INVITED",
    "workEmail": "string",
    "department": "string",
    "legalEntity": "string",
    "payrollEntity": "string",
    "contractEntityID": "string",
    "onboarded": true,
    "isTerminated": true,
    "privilegedAdmin": true,
    "isPrimaryAdmin": true,
    "isOrgMarketMaker": true,
    "role": "TOKU_ADMIN",
    "employmentType": "CONTRACTOR",
    "revokedAt": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "payrollEmployeeID": "string",
    "hasWelcomeEmailSent": true,
    "subEmploymentType": "string",
    "remarks": "string",
    "isITAdmin": true,
    "isExternalEmployee": true,
    "employeeSyncedSource": "CSV_UPLOAD",
    "investorFullName": "string",
    "baseSalary": "string",
    "baseSalaryCurrency": "TRY",
    "baseSalaryPaymentType": "FIAT",
    "baseSalaryTokenTypeID": "string",
    "baseSalaryTokenSymbol": "string",
    "baseSalaryTokenNetwork": "string",
    "baseSalaryPeriod": "HOURLY",
    "stablecoinPayPercentage": 0,
    "maxStablecoinPercentage": 0,
    "taxMethod": "NO_TAX",
    "withholdingPercentage": "string",
    "lastLogin": "string",
    "lastTestTxReminderBy": "string",
    "lastTestTxReminderAt": "string",
    "payrollFileNumber": "string",
    "externalPayrollId": "string",
    "lastOnboardingReminderBy": "string",
    "lastOnboardingReminderAt": "string",
    "address": "string",
    "payrollGroup": "string",
    "lastInactiveWalletReminderBy": "string",
    "lastInactiveWalletReminderAt": "string",
    "recipientType": "PERSON",
    "receiveNotificationEmails": true,
    "receiveInAppNotifications": true,
    "notificationEmailFrequency": "OFF",
    "receiveSlackNotifications": true,
    "selfServeContractorOnboardingStatus": "NOT_STARTED",
    "selfServeContractorOnboardingCompletedAt": "string",
    "selfServeWelcomeEmailSentAt": "string",
    "numberOfPayPeriodsPerYear": 0,
    "managerRoleInOrgID": "string",
    "managerPath": [
      "string"
    ],
    "person": {
      "personID": "string",
      "givenName": "string",
      "familyName": "string",
      "middleName": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "legacyMigratedAt": "string",
      "legacyModelID": 0,
      "mergedIntoPersonID": "string",
      "mergedAt": "string",
      "fullName": "string"
    }
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

documentIDstringrequired

NOTE(ck): a .transform() rule is not mirrored here; TGA still enforces it NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it

Response

200Successful response
supersededAtstring | nullrequired
documentIDstringrequired
roleInOrgIDstringrequired
investorEntityIDstring | nullrequired
documentNamestringrequired
documentDescriptionstring | nullrequired
documentTypestringrequired

Available options: WARRANT_AGREEMENT, EXERCISE_NOTICE, PAYMENT_PROOF, GRANT_AGREEMENT, EIGHTY_THREE_B_ELECTION, EIGHTY_THREE_B_ELECTION_RECIEPT, RECIEPTS, SETTLEMENT_STATEMENT, SECTION_431_ELECTION_EMPLOYEE, SECTION_431_ELECTION_EMPLOYER, OTHER

fileIDstringrequired
signedAtstring | nullrequired
archivedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
deletedAtstring | nullrequired
grantIDstring | nullrequired
warrantIDstring | nullrequired
legacyMigratedAtstring | nullrequired
legacyModelIDnumber | nullrequired
visibleToRolebooleanrequired
visibleToClientAdminbooleanrequired
fileobjectrequired
Show child attributes
fileIDstringrequired
orgIDstringrequired
fileNamestringrequired
mimeTypestringrequired
fileKeystringrequired
fileBucketstringrequired
fileUploadedstring | nullrequired
fileSizeInBytesstring | nullrequired

Allowed: matches ^-?\d+$

createdByUserIDstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
legacyMigratedAtstring | nullrequired
legacyModelIDnumber | nullrequired
typestringrequired
fileURLstringrequired
fileDownloadURLstringrequired
roleInOrgobjectrequired
Show child attributes
hrAutomationOnlybooleanrequired
isServiceSeatbooleanrequired
invoiceApproverRoutingUpdatedAtstring | nullrequired
legacyMigratedAtstring | nullrequired
legacyModelIDnumber | nullrequired
roleInOrgIDstringrequired
personIDstringrequired
orgIDstringrequired
invitedByInvestorIDstring | nullrequired
invitedByRecipientIDstring | nullrequired
roleInOrgExternalIDnumberrequired
externalEmployeeIDstring | nullrequired
positionIDstring | nullrequired
jobTitlestring | nullrequired
countrystring | nullrequired
countryCodestring | nullrequired

Available options: ABW, AFG, AGO, AIA, ALA, ALB, AND, ARE, ARG, ARM, ASM, ATA, ATF, ATG, AUS, AUT, AZE, BDI, BEL, BEN, BES, BFA, BGD, BGR, BHR, BHS, BIH, BLR, BLZ, BMU, BOL, BRA, BRB, BRN, BTN, BVT, BWA, CAF, CAN, CCK, CHE, CHL, CHN, CIV, CMR, COD, COG, COK, COL, COM, CPV, CRI, CUB, CUW, CXR, CYM, CYP, CZE, DEU, DJI, DMA, DNK, DOM, DZA, ECU, EGY, ERI, ESH, ESP, EST, ETH, FIN, FJI, FLK, FRA, FRO, FSM, GAB, GBR, GEO, GGY, GHA, GIB, GIN, GLP, GMB, GNB, GNQ, GRC, GRD, GRL, GTM, GUF, GUM, GUY, HKG, HMD, HND, HRV, HTI, HUN, IDN, IMN, IND, IOT, IRL, IRN, IRQ, ISL, ISR, ITA, JAM, JEY, JOR, JPN, KAZ, KEN, KGZ, KHM, KIR, KNA, KOR, KWT, LAO, LBN, LBR, LBY, LCA, LIE, LKA, LSO, LTU, LUX, LVA, MAC, MAF, MAR, MCO, MDA, MDG, MDV, MEX, MHL, MKD, MLI, MLT, MMR, MNE, MNG, MNP, MOZ, MRT, MSR, MTQ, MUS, MWI, MYS, MYT, NAM, NCL, NER, NFK, NGA, NIC, NIU, NLD, NOR, NPL, NRU, NZL, OMN, PAK, PAN, PCN, PER, PHL, PLW, PNG, POL, PRI, PRK, PRT, PRY, PSE, PYF, QAT, REU, ROU, RUS, RWA, SAU, SDN, SEN, SGP, SGS, SHN, SJM, SLB, SLE, SLV, SMR, SOM, SPM, SRB, SSD, STP, SUR, SVK, SVN, SWE, SWZ, SXM, SYC, SYR, TCA, TCD, TGO, THA, TJK, TKL, TKM, TLS, TON, TTO, TUN, TUR, TUV, TWN, TZA, UGA, UKR, UMI, URY, USA, UZB, VAT, VCT, VEN, VGB, VIR, VNM, VUT, WLF, WSM, YEM, ZAF, ZMB, ZWE, null

preferredInvoiceCurrencystring | nullrequired
statusstring | nullrequired
lifecycleStatusstring | nullrequired

Available options: INVITED, ONBOARDING, ACTIVE, OFFBOARDING, TERMINATED, ARCHIVED, null

workEmailstring | nullrequired
departmentstring | nullrequired
legalEntitystring | nullrequired
payrollEntitystring | nullrequired
contractEntityIDstring | nullrequired
onboardedbooleanrequired
isTerminatedbooleanrequired
privilegedAdminbooleanrequired
isPrimaryAdminbooleanrequired
isOrgMarketMakerbooleanrequired
rolestringrequired

Available options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT

employmentTypestring | nullrequired

Available options: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER, null

revokedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
payrollEmployeeIDstring | nullrequired
hasWelcomeEmailSentbooleanrequired
subEmploymentTypestring | nullrequired
remarksstring | nullrequired
isITAdminbooleanrequired
isExternalEmployeebooleanrequired
employeeSyncedSourcestring | nullrequired

Available options: CSV_UPLOAD, WORKDAY, ADP, UKG, TOKUEOR, TRINET, GUSTO, DEEL, BAMBOOHR, IMPORTED, OTHER, null

investorFullNamestring | nullrequired
baseSalarystring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

baseSalaryCurrencystring | nullrequired

Available options: TRY, ILS, CRC, TTD, SGD, JPY, AUD, NOK, INR, GBP, CHF, RUB, CAD, BRL, NGN, KRW, AED, LBP, EUR, NZD, ZAR, USD, USDC, USDT, USDP, PHP, PLN, RSD, HKD, TWD, AFN, AMD, ANG, AOA, ARS, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BSD, BTN, BWP, BYN, BZD, CDF, CLF, CLP, CNY, COP, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, FJD, FKP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HNL, HRK, HTG, HUF, IDR, IQD, IRR, ISK, JMD, JOD, KES, KGS, KHR, KMF, KPW, KWD, KYD, KZT, LAK, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NPR, NIO, OMR, PAB, PEN, PGK, PKR, PYG, QAR, RON, RWF, SAR, SBD, SCR, SDG, SHP, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, TJS, TMT, TND, TOP, TZS, UAH, UGX, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZMW, SEK, THB, null

baseSalaryPaymentTypestringrequired

Available options: FIAT, TOKEN

baseSalaryTokenTypeIDstring | nullrequired
baseSalaryTokenSymbolstring | nullrequired
baseSalaryTokenNetworkstring | nullrequired
baseSalaryPeriodstring | nullrequired

Available options: HOURLY, MONTHLY, YEARLY, null

stablecoinPayPercentagenumber | nullrequired
maxStablecoinPercentagenumber | nullrequired
taxMethodstring | nullrequired

Available options: NO_TAX, MANUAL_TAX, TAX_ENGINE, BULK_UPLOAD, null

withholdingPercentagestring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

lastLoginstring | nullrequired
lastTestTxReminderBystring | nullrequired
lastTestTxReminderAtstring | nullrequired
payrollFileNumberstring | nullrequired
externalPayrollIdstring | nullrequired
lastOnboardingReminderBystring | nullrequired
lastOnboardingReminderAtstring | nullrequired
addressstring | nullrequired
payrollGroupstring | nullrequired
lastInactiveWalletReminderBystring | nullrequired
lastInactiveWalletReminderAtstring | nullrequired
recipientTypestring | nullrequired

Available options: PERSON, ENTITY, null

receiveNotificationEmailsbooleanrequired
receiveInAppNotificationsbooleanrequired
notificationEmailFrequencystringrequired

Available options: OFF, IMMEDIATE, DAILY

receiveSlackNotificationsbooleanrequired
selfServeContractorOnboardingStatusstringrequired

Available options: NOT_STARTED, IN_PROGRESS, COMPLETED

selfServeContractorOnboardingCompletedAtstring | nullrequired
selfServeWelcomeEmailSentAtstring | nullrequired
numberOfPayPeriodsPerYearnumberrequired
managerRoleInOrgIDstring | nullrequired
managerPathstring[]required
personobjectrequired
Show child attributes
personIDstringrequired
givenNamestringrequired
familyNamestringrequired
middleNamestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
legacyMigratedAtstring | nullrequired
legacyModelIDnumber | nullrequired
mergedIntoPersonIDstring | nullrequired
mergedAtstring | nullrequired
fullNamestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits